interval-class {copula} | R Documentation

## Class "interval" of Simple Intervals

### Description

The S4 `class` `"interval"` is a simple class for numeric intervals.

`"maybeInterval"` is a class union (see `setClassUnion`) of `"interval"` and `"NULL"`.

### Objects from the Class

Objects can be created by calls of the form `new("interval", ...)`, but typically they are built via `interval()`.

### Slots

`.Data`:

  numeric vector of length two, specifying the interval ranges.

`open`:

  `logical` vector of length two, specifying if the interval is open or closed on the left and right, respectively.

### Extends

Class `"interval"` extends `"numeric"`, from data part, and `"maybeInterval"`, directly.

### Methods

"%in%"

  `signature(x = "numeric", table = "interval")`: check if `x` is inside the interval, carefully differentiating open and closed intervals.

format

  `signature(x = "interval")`: ...

show

  `signature(object = "interval")`: ...

Summary

  `signature(x = "interval")`: Group methods, notably `range()`, `min()`, etc.

### Note

There are more sophisticated interval classes, functions and methods, notably in package Intervals. We only use this as a simple interface in order to specify our copula functions consistently.

### See Also

`interval` constructs "interval" objects conveniently.

### Examples

    -1:2 %in% interval("(0, Inf)")
    ## 0 is *not* inside

[Package copula version 0.999-15 Index]